Last Comment Bug 781125 - Intermittent log truncation due to 110,000 lines of motown-dev.mozillalabs.com console message spam
: Intermittent log truncation due to 110,000 lines of motown-dev.mozillalabs.co...
Status: RESOLVED FIXED
: intermittent-failure
Product: Firefox
Classification: Client Software
Component: SocialAPI (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 17
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 781386
Blocks: 438871
  Show dependency treegraph
 
Reported: 2012-08-08 03:50 PDT by Ed Morley [:emorley]
Modified: 2012-11-25 19:31 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Grep 'Console message:' of full log (708.24 KB, application/x-gzip)
2012-08-08 03:51 PDT, Ed Morley [:emorley]
no flags Details

Description Ed Morley [:emorley] 2012-08-08 03:50:02 PDT
Seems to confirm bug 780884 comment 1.

Rev4 MacOSX Lion 10.7 mozilla-inbound debug test mochitest-other on 2012-08-07 08:22:13 PDT for push 8e4d94efad3e

slave: talos-r4-lion-029

https://tbpl.mozilla.org/php/getParsedLog.php?id=14193187&tree=Mozilla-Inbound

Sample of output (see attachment for extract from log):

{
TEST-INFO | chrome://mochitests/content/browser/browser/base/content/test/browser_shareButton.js | Console message: motown-dev.mozillalabs.com : server does not support RFC 5746, see CVE-2009-3555
TEST-INFO | chrome://mochitests/content/browser/browser/base/content/test/browser_shareButton.js | Console message: motown-dev.mozillalabs.com : server does not support RFC 5746, see CVE-2009-3555
TEST-INFO | chrome://mochitests/content/browser/browser/base/content/test/browser_shareButton.js | Console message: motown-dev.mozillalabs.com : server does not support RFC 5746, see CVE-2009-3555
TEST-INFO | chrome://mochitests/content/browser/browser/base/content/test/browser_shareButton.js | Console message: [JavaScript Error: "The character encoding of the plain text document was not declared. The document will render with garbled text in some browser configurations if the document contains characters from outside the US-ASCII range. The character encoding of the file needs to be declared in the transfer protocol or file needs to use a byte order mark as an encoding signature." {file: "https://motown-dev.mozillalabs.com/social/worker.js" line: 0}]
TEST-INFO | chrome://mochitests/content/browser/browser/base/content/test/browser_shareButton.js | Console message: [JavaScript Error: "FrameWorker: Error evaluating worker script for https://motown-dev.mozillalabs.com/social/worker.js: SyntaxError: syntax error; Line #32" {file: "resource:///modules/FrameWorker.jsm" line: 185}]
TEST-INFO | chrome://mochitests/content/browser/browser/base/content/test/browser_shareButton.js | Console message: browserid.org : server does not support RFC 5746, see CVE-2009-3555
TEST-INFO | chrome://mochitests/content/browser/browser/base/content/test/browser_shareButton.js | Console message: [JavaScript Warning: "Expected declaration but found '*'.  Skipped to next declaration." {file: "https://motown-dev.mozillalabs.com/bootstrap/css/bootstrap.min.css" line: 10}]
TEST-INFO | chrome://mochitests/content/browser/browser/base/content/test/browser_shareButton.js | Console message: [JavaScript Warning: "Unknown property 'box-sizing'.  Declaration dropped." {file: "https://motown-dev.mozillalabs.com/bootstrap/css/bootstrap.min.css" line: 13}]
TEST-INFO | chrome://mochitests/content/browser/browser/base/content/test/browser_shareButton.js | Console message: [JavaScript Warning: "Expected declaration but found '*'.  Skipped to next declaration." {file: "https://motown-dev.mozillalabs.com/bootstrap/css/bootstrap.min.css" line: 15}]
TEST-INFO | chrome://mochitests/content/browser/browser/base/content/test/browser_shareButton.js | Console message: [JavaScript Warning: "Expected declaration but found '*'.  Skipped to next declaration." {file: "https://motown-dev.mozillalabs.com/bootstrap/css/bootstrap.min.css" line: 15}]
TEST-INFO | chrome://mochitests/content/browser/browser/base/content/test/browser_shareButton.js | Console message: [JavaScript Warning: "Expected color but found 'auto'.  Expected color but found '-webkit-focus-ring-color'.  Expected end of value but found '-webkit-focus-ring-color'.  Error in parsing value for 'outline'.  Declaration dropped." {file: "https://motown-dev.mozillalabs.com/bootstrap/css/bootstrap.min.css" line: 18}]
TEST-INFO | chrome://mochitests/content/browser/browser/base/content/test/browser_shareButton.js | Console message: [JavaScript Warning: "Expected declaration but found '*'.  Skipped to next declaration." {file: "https://motown-dev.mozillalabs.com/bootstrap/css/bootstrap.min.css" line: 26}]
TEST-INFO | chrome://mochitests/content/browser/browser/base/content/test/browser_shareButton.js | Console message: [JavaScript Warning: "Unknown property 'box-sizing'.  Declaration dropped." {file: "https://motown-dev.mozillalabs.com/bootstrap/css/bootstrap.min.css" line: 29}]
TEST-INFO | chrome://mochitests/content/browser/browser/base/content/test/browser_shareButton.js | Console message: [JavaScript Warning: "Unknown pseudo-class or pseudo-element '-webkit-search-decoration'.  Ruleset ignored due to bad selector." {file: "https://motown-dev.mozillalabs.com/bootstrap/css/bootstrap.min.css" line: 30}]
TEST-INFO | chrome://mochitests/content/browser/browser/base/content/test/browser_shareButton.js | Console message: [JavaScript Warning: "Expected declaration but found '*'.  Skipped to next declaration." {file: "https://motown-dev.mozillalabs.com/bootstrap/css/bootstrap.min.css" line: 35}]
TEST-INFO | chrome://mochitests/content/browser/browser/base/content/test/browser_shareButton.js | Console message: [JavaScript Warning: "Expected declaration but found '*'.  Skipped to next declaration." {file: "https://motown-dev.mozillalabs.com/bootstrap/css/bootstrap.min.css" line: 63}]
TEST-INFO | chrome://mochitests/content/browser/browser/base/content/test/browser_shareButton.js | Console message: [JavaScript Warning: "Unknown property 'box-sizing'.  Declaration dropped." {file: "https://motown-dev.mozillalabs.com/bootstrap/css/bootstrap.min.css" line: 65}]
TEST-INFO | chrome://mochitests/content/browser/browser/base/content/test/browser_shareButton.js | Console message: [JavaScript Warning: "Expected declaration but found '*'.  Skipped to next declaration." {file: "https://motown-dev.mozillalabs.com/bootstrap/css/bootstrap.min.css" line: 65}]
TEST-INFO | chrome://mochitests/content/browser/browser/base/content/test/browser_shareButton.js | Console message: [JavaScript Warning: "Expected declaration but found '*'.  Skipped to next declaration." {file: "https://motown-dev.mozillalabs.com/bootstrap/css/bootstrap.min.css" line: 67}]
TEST-INFO | chrome://mochitests/content/browser/browser/base/content/test/browser_shareButton.js | Console message: [JavaScript Warning: "Expected declaration but found '*'.  Skipped to next declaration." {file: "https://motown-dev.mozillalabs.com/bootstrap/css/bootstrap.min.css" line: 68}]
TEST-INFO | chrome://mochitests/content/browser/browser/base/content/test/browser_shareButton.js | Console message: [JavaScript Warning: "Expected declaration but found '*'.  Skipped to next declaration." {file: "https://motown-dev.mozillalabs.com/bootstrap/css/bootstrap.min.css" line: 69}]
TEST-INFO | chrome://mochitests/content/browser/browser/base/content/test/browser_shareButton.js | Console message: [JavaScript Warning: "Expected declaration but found '*'.  Skipped to next declaration." {file: "https://motown-dev.mozillalabs.com/bootstrap/css/bootstrap.min.css" line: 70}]
TEST-INFO | chrome://mochitests/content/browser/browser/base/content/test/browser_shareButton.js | Console message: [JavaScript Warning: "Expected declaration but found '*'.  Skipped to next declaration." {file: "https://motown-dev.mozillalabs.com/bootstrap/css/bootstrap.min.css" line: 71}]
TEST-INFO | chrome://mochitests/content/browser/browser/base/content/test/browser_shareButton.js | Console message: [JavaScript Warning: "Expected declaration but found '*'.  Skipped to next declaration." {file: "https://motown-dev.mozillalabs.com/bootstrap/css/bootstrap.min.css" line: 72}]
TEST-INFO | chrome://mochitests/content/browser/browser/base/content/test/browser_shareButton.js | Console message: [JavaScript Warning: "Expected declaration but found '*'.  Skipped to next declaration." {file: "https://motown-dev.mozillalabs.com/bootstrap/css/bootstrap.min.css" line: 73}]
TEST-INFO | chrome://mochitests/content/browser/browser/base/content/test/browser_shareButton.js | Console message: [JavaScript Warning: "Expected declaration but found '*'.  Skipped to next declaration." {file: "https://motown-dev.mozillalabs.com/bootstrap/css/bootstrap.min.css" line: 74}]
TEST-INFO | chrome://mochitests/content/browser/browser/base/content/test/browser_shareButton.js | Console message: [JavaScript Warning: "Expected declaration but found '*'.  Skipped to next declaration." {file: "https://motown-dev.mozillalabs.com/bootstrap/css/bootstrap.min.css" line: 75}]
TEST-INFO | chrome://mochitests/content/browser/browser/base/content/test/browser_shareButton.js | Console message: [JavaScript Warning: "Expected declaration but found '*'.  Skipped to next declaration." {file: "https://motown-dev.mozillalabs.com/bootstrap/css/bootstrap.min.css" line: 76}]
TEST-INFO | chrome://mochitests/content/browser/browser/base/content/test/browser_shareButton.js | Console message: [JavaScript Warning: "Expected declaration but found '*'.  Skipped to next declaration." {file: "https://motown-dev.mozillalabs.com/bootstrap/css/bootstrap.min.css" line: 77}]
TEST-INFO | chrome://mochitests/content/browser/browser/base/content/test/browser_shareButton.js | Console message: [JavaScript Warning: "Expected declaration but found '*'.  Skipped to next declaration." {file: "https://motown-dev.mozillalabs.com/bootstrap/css/bootstrap.min.css" line: 78}]
TEST-INFO | chrome://mochitests/content/browser/browser/base/content/test/browser_shareButton.js | Console message: [JavaScript Warning: "Expected declaration but found '*'.  Skipped to next declaration." {file: "https://motown-dev.mozillalabs.com/bootstrap/css/bootstrap.min.css" line: 79}]
TEST-INFO | chrome://mochitests/content/browser/browser/base/content/test/browser_shareButton.js | Console message: [JavaScript Warning: "Expected declaration but found '*'.  Skipped to next declaration." {file: "https://motown-dev.mozillalabs.com/bootstrap/css/bootstrap.min.css" line: 81}]
TEST-INFO | chrome://mochitests/content/browser/browser/base/content/test/browser_shareButton.js | Console message: [JavaScript Warning: "Unknown property '-moz-border-radius'.  Declaration dropped." {file: "https://motown-dev.mozillalabs.com/bootstrap/css/bootstrap.min.css" line: 120}]
TEST-INFO | chrome://mochitests/content/browser/browser/base/content/test/browser_shareButton.js | Console message: [JavaScript Warning: "Unknown property '-moz-border-radius'.  Declaration dropped." {file: "https://motown-dev.mozillalabs.com/bootstrap/css/bootstrap.min.css" line: 122}]
TEST-INFO | chrome://mochitests/content/browser/browser/base/content/test/browser_shareButton.js | Console message: [JavaScript Warning: "Unknown property '-moz-border-radius'.  Declaration dropped." {file: "https://motown-dev.mozillalabs.com/bootstrap/css/bootstrap.min.css" line: 126}]
TEST-INFO | chrome://mochitests/content/browser/browser/base/content/test/browser_shareButton.js | Console message: [JavaScript Warning: "Unknown property '-moz-border-radius'.  Declaration dropped." {file: "https://motown-dev.mozillalabs.com/bootstrap/css/bootstrap.min.css" line: 127}]
TEST-INFO | chrome://mochitests/content/browser/browser/base/content/test/browser_shareButton.js | Console message: [JavaScript Warning: "Expected declaration but found '*'.  Skipped to next declaration." {file: "https://motown-dev.mozillalabs.com/bootstrap/css/bootstrap.min.css" line: 146}]
...
...
}
Comment 1 Ed Morley [:emorley] 2012-08-08 03:51:23 PDT
Created attachment 650019 [details]
Grep 'Console message:' of full log

32mb of log spam uncompressed!
Comment 2 Olli Pettay [:smaug] (vacation Aug 25-28) 2012-08-08 03:57:37 PDT
Mochitests shouldn't use external sources.
Should we disable browser_shareButton.js?
Comment 3 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-08-08 15:55:38 PDT
No, we're on it.
Comment 4 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-08-10 10:46:43 PDT
Should be fixed by bug 781386

Note You need to log in before you can comment on or make changes to this bug.